<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/Edible_Base/HumanSteakMeat.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d5e/_human_steak_meat_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">HumanSteakMeat.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d1/d5e/_human_steak_meat_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>HumanSteakMeat <span class="keyword">extends</span> <a class="code hl_class" href="../../df/d7c/class_edible___base.html">Edible_Base</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../df/d7c/class_edible___base.html#a7bbb7f46dc23a2a51eddb01fd7259b73">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d7c/class_edible___base.html#a7bbb7f46dc23a2a51eddb01fd7259b73">HumanSteakMeat</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_function" href="../../df/d2e/_item_base_8c.html#a02f754cd5a22c70ac6d1705769c0bf4f">InsertAgent</a>(<a class="code hl_enumeration" href="../../d3/dfb/_e_agents_8c.html#a5a5d699a74359c32fabcdcdcbe60c1ae">eAgents</a>.BRAIN, 1);</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../df/d7c/class_edible___base.html#aa57858f3d10888254a078123abae5de0">    8</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d7c/class_edible___base.html#aa57858f3d10888254a078123abae5de0">CanBeCooked</a>()</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    }       </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../df/d7c/class_edible___base.html#a2b3f887b07b3bec70fcd46ac8829e027">   13</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d7c/class_edible___base.html#a2b3f887b07b3bec70fcd46ac8829e027">CanBeCookedOnStick</a>()</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    }</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../df/d7c/class_edible___base.html#a92398dacbe4bab76f8b0604042fdb3ca">   18</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d7c/class_edible___base.html#a92398dacbe4bab76f8b0604042fdb3ca">IsMeat</a>()</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../df/d7c/class_edible___base.html#a705c784d83c2dd4aa594d8e2da9a015c">   23</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d7c/class_edible___base.html#a705c784d83c2dd4aa594d8e2da9a015c">CanDecay</a>()</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../df/d7c/class_edible___base.html#aa8344e7afeb5e1e5e7a80c77a3c7c077">   28</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d7c/class_edible___base.html#aa8344e7afeb5e1e5e7a80c77a3c7c077">SetActions</a>()</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        super.SetActions();</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d4/d0d/class_action_force_feed.html">ActionForceFeed</a>);</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../da/df0/class_action_eat_meat.html">ActionEatMeat</a>);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d0/d80/class_action_create_indoor_fireplace.html">ActionCreateIndoorFireplace</a>);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../db/de0/class_action_create_indoor_oven.html">ActionCreateIndoorOven</a>);</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>}</div>
<div class="ttc" id="a_advanced_communication_8c_html_a033d077df58807906c4dad3101d8768c"><div class="ttname"><a href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a></div><div class="ttdeci">void AddAction(typename actionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dfd/_advanced_communication_8c_source.html#l00220">AdvancedCommunication.c:220</a></div></div>
<div class="ttc" id="a_e_agents_8c_html_a5a5d699a74359c32fabcdcdcbe60c1ae"><div class="ttname"><a href="../../d3/dfb/_e_agents_8c.html#a5a5d699a74359c32fabcdcdcbe60c1ae">eAgents</a></div><div class="ttdeci">eAgents</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dfb/_e_agents_8c_source.html#l00002">EAgents.c:3</a></div></div>
<div class="ttc" id="a_item_base_8c_html_a02f754cd5a22c70ac6d1705769c0bf4f"><div class="ttname"><a href="../../df/d2e/_item_base_8c.html#a02f754cd5a22c70ac6d1705769c0bf4f">InsertAgent</a></div><div class="ttdeci">override void InsertAgent(int agent, float count=1)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l08718">ItemBase.c:8718</a></div></div>
<div class="ttc" id="aclass_action_create_indoor_fireplace_html"><div class="ttname"><a href="../../d0/d80/class_action_create_indoor_fireplace.html">ActionCreateIndoorFireplace</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d3a/_action_create_indoor_fireplace_8c_source.html#l00001">ActionCreateIndoorFireplace.c:2</a></div></div>
<div class="ttc" id="aclass_action_create_indoor_oven_html"><div class="ttname"><a href="../../db/de0/class_action_create_indoor_oven.html">ActionCreateIndoorOven</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d85/_action_create_indoor_oven_8c_source.html#l00001">ActionCreateIndoorOven.c:2</a></div></div>
<div class="ttc" id="aclass_action_eat_meat_html"><div class="ttname"><a href="../../da/df0/class_action_eat_meat.html">ActionEatMeat</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd3/_action_eat_meat_8c_source.html#l00009">ActionEatMeat.c:10</a></div></div>
<div class="ttc" id="aclass_action_force_feed_html"><div class="ttname"><a href="../../d4/d0d/class_action_force_feed.html">ActionForceFeed</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd9/_action_force_feed_8c_source.html#l00009">ActionForceFeed.c:10</a></div></div>
<div class="ttc" id="aclass_edible___base_html"><div class="ttname"><a href="../../df/d7c/class_edible___base.html">Edible_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d78/_bear_steak_meat_8c_source.html#l00001">BearSteakMeat.c:2</a></div></div>
<div class="ttc" id="aclass_edible___base_html_a2b3f887b07b3bec70fcd46ac8829e027"><div class="ttname"><a href="../../df/d7c/class_edible___base.html#a2b3f887b07b3bec70fcd46ac8829e027">Edible_Base::CanBeCookedOnStick</a></div><div class="ttdeci">override bool CanBeCookedOnStick()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d5e/_human_steak_meat_8c_source.html#l00013">HumanSteakMeat.c:13</a></div></div>
<div class="ttc" id="aclass_edible___base_html_a705c784d83c2dd4aa594d8e2da9a015c"><div class="ttname"><a href="../../df/d7c/class_edible___base.html#a705c784d83c2dd4aa594d8e2da9a015c">Edible_Base::CanDecay</a></div><div class="ttdeci">override bool CanDecay()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d5e/_human_steak_meat_8c_source.html#l00023">HumanSteakMeat.c:23</a></div></div>
<div class="ttc" id="aclass_edible___base_html_a7bbb7f46dc23a2a51eddb01fd7259b73"><div class="ttname"><a href="../../df/d7c/class_edible___base.html#a7bbb7f46dc23a2a51eddb01fd7259b73">Edible_Base::HumanSteakMeat</a></div><div class="ttdeci">void HumanSteakMeat()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d5e/_human_steak_meat_8c_source.html#l00003">HumanSteakMeat.c:3</a></div></div>
<div class="ttc" id="aclass_edible___base_html_a92398dacbe4bab76f8b0604042fdb3ca"><div class="ttname"><a href="../../df/d7c/class_edible___base.html#a92398dacbe4bab76f8b0604042fdb3ca">Edible_Base::IsMeat</a></div><div class="ttdeci">override bool IsMeat()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d5e/_human_steak_meat_8c_source.html#l00018">HumanSteakMeat.c:18</a></div></div>
<div class="ttc" id="aclass_edible___base_html_aa57858f3d10888254a078123abae5de0"><div class="ttname"><a href="../../df/d7c/class_edible___base.html#aa57858f3d10888254a078123abae5de0">Edible_Base::CanBeCooked</a></div><div class="ttdeci">override bool CanBeCooked()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d5e/_human_steak_meat_8c_source.html#l00008">HumanSteakMeat.c:8</a></div></div>
<div class="ttc" id="aclass_edible___base_html_aa8344e7afeb5e1e5e7a80c77a3c7c077"><div class="ttname"><a href="../../df/d7c/class_edible___base.html#aa8344e7afeb5e1e5e7a80c77a3c7c077">Edible_Base::SetActions</a></div><div class="ttdeci">override void SetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d5e/_human_steak_meat_8c_source.html#l00028">HumanSteakMeat.c:28</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../dir_10f6392f0ea96a77d71bf5a7e1dc9fd9.html">Edible_Base</a></li><li class="navelem"><a class="el" href="../../d1/d5e/_human_steak_meat_8c.html">HumanSteakMeat.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
